Skip to content
For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.
Primary navigation
Theme

Cancel batch

client.Batches.Cancel(ctx, batchID) (*Batch, error)
POST
/batches/{batch_id}/cancel

Cancels an in-progress batch. The batch will be in status cancelling for up to 10 minutes, before changing to cancelled, where it will have partial results (if any) available in the output file.

Cancel batch

package main

import (
  "context"
  "fmt"

  "github.com/openai/openai-go"
  "github.com/openai/openai-go/option"
)

func main() {
  client := openai.NewClient(
    option.WithAPIKey("My API Key"),
  )
  batch, err := client.Batches.Cancel(context.TODO(), "batch_id")
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", batch.ID)
}
Response example
{
  "id": "batch_abc123",
  "object": "batch",
  "endpoint": "/v1/chat/completions",
  "errors": null,
  "input_file_id": "file-abc123",
  "completion_window": "24h",
  "status": "cancelling",
  "output_file_id": null,
  "error_file_id": null,
  "created_at": 1711471533,
  "in_progress_at": 1711471538,
  "expires_at": 1711557933,
  "finalizing_at": null,
  "completed_at": null,
  "failed_at": null,
  "expired_at": null,
  "cancelling_at": 1711475133,
  "cancelled_at": null,
  "request_counts": {
    "total": 100,
    "completed": 23,
    "failed": 1
  },
  "metadata": {
    "customer_id": "user_123456789",
    "batch_description": "Nightly eval job"
  }
}
Parameters
batchID string
Returns
type Batch struct{…}
ID string
CompletionWindow string

The time frame within which the batch should be processed.

CreatedAt int64

The Unix timestamp (in seconds) for when the batch was created.

formatunixtime
Endpoint string

The OpenAI API endpoint used by the batch.

InputFileID string

The ID of the input file for the batch.

Object Batch

The object type, which is always batch.

Status BatchStatus

The current status of the batch.

CancelledAt int64
Optional

The Unix timestamp (in seconds) for when the batch was cancelled.

formatunixtime
CancellingAt int64
Optional

The Unix timestamp (in seconds) for when the batch started cancelling.

formatunixtime
CompletedAt int64
Optional

The Unix timestamp (in seconds) for when the batch was completed.

formatunixtime
ErrorFileID string
Optional

The ID of the file containing the outputs of requests with errors.

Errors BatchErrors
Optional
ExpiredAt int64
Optional

The Unix timestamp (in seconds) for when the batch expired.

formatunixtime
ExpiresAt int64
Optional

The Unix timestamp (in seconds) for when the batch will expire.

formatunixtime
FailedAt int64
Optional

The Unix timestamp (in seconds) for when the batch failed.

formatunixtime
FinalizingAt int64
Optional

The Unix timestamp (in seconds) for when the batch started finalizing.

formatunixtime
InProgressAt int64
Optional

The Unix timestamp (in seconds) for when the batch started processing.

formatunixtime
Metadata Metadata
Optional

Set of 16 key-value pairs that can be attached to an object. This can be useful for storing additional information about the object in a structured format, and querying for objects via API or the dashboard.

Keys are strings with a maximum length of 64 characters. Values are strings with a maximum length of 512 characters.

Model string
Optional

Model ID used to process the batch, like gpt-6-astra. OpenAI offers a wide range of models with different capabilities, performance characteristics, and price points. Refer to the model guide to browse and compare available models.

OutputFileID string
Optional

The ID of the file containing the outputs of successfully executed requests.

RequestCounts BatchRequestCounts
Optional

The request counts for different statuses within the batch.

Usage BatchUsage
Optional

Represents token usage details including input tokens, output tokens, a breakdown of output tokens, and the total tokens used. Only populated on batches created after September 7, 2025.

Returns Examples
Response example
{
  "id": "batch_abc123",
  "object": "batch",
  "endpoint": "/v1/chat/completions",
  "errors": null,
  "input_file_id": "file-abc123",
  "completion_window": "24h",
  "status": "cancelling",
  "output_file_id": null,
  "error_file_id": null,
  "created_at": 1711471533,
  "in_progress_at": 1711471538,
  "expires_at": 1711557933,
  "finalizing_at": null,
  "completed_at": null,
  "failed_at": null,
  "expired_at": null,
  "cancelling_at": 1711475133,
  "cancelled_at": null,
  "request_counts": {
    "total": 100,
    "completed": 23,
    "failed": 1
  },
  "metadata": {
    "customer_id": "user_123456789",
    "batch_description": "Nightly eval job"
  }
}